EndpointsWikis
Search wiki
GET
/v2/wikis/{wiki_slug}/searchReturns a page of matching current pages in a visible wiki, ordered by relevance.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
wiki_slug*Wiki Slug
Wiki slug.
Query Parameters
q?|
Text to match against page titles and current bodies.
limit?Limit
Maximum matches returned.
Range
1 <= value <= 50Default
20cursor?|
Opaque cursor returned by the previous page; it is bound to the search filters.
curl -X GET "https://softmax.com/api/observatory/v2/wikis/string/search"{ "entries": [ { "page": { "id": "string", "wiki_id": "string", "slug": "string", "title": "string", "current_revision_id": "string", "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" }, "current_author": { "type": "user", "user_id": "string", "name": "string", "karma": 0, "post_karma": 0, "comment_karma": 0 }, "rank": 0 } ], "next_cursor": "string", "result_quality": "exact_within_wiki"}